<?php
namespace HCM\PTO\Repository;

use Doctrine\DBAL\Connection;
use Doctrine\ORM\EntityManager;

class AssociacaoSituacaoFrequenciaRepository {

    protected  $connection;
    public function __construct(Connection $connection, EntityManager $entityManager) {
        $this->connection    = $connection;
        $this->entityManager = $entityManager;
    }

    /**
     * @return array
     */
    public function assumirPadroes($dataset) {
        $query = $this->entityManager->getConnection()->prepare("
               DELETE FROM PTO_ASSOCSITUFREQ WHERE NRORG = :NRORG");

        $return = $query->execute(
            array(
                "NRORG"               => $dataset["NRORG"]
            )
        );
        return $return;
    }

} 

